!{\src2tex{textfont=tt}}
!!****f* ABINIT/deducer0
!! NAME 
!! deducer0
!!
!! FUNCTION
!! Deduce value at r=0 of a function from r1, r2, r3
!!
!! COPYRIGHT
!! Copyright (C) 1998-2005 ABINIT group (MT)
!! This file is distributed under the terms of the
!! GNU General Public License, see ~ABINIT/Infos/copyright
!! or http://www.gnu.org/copyleft/gpl.txt .
!! For the initials of contributors, see ~ABINIT/Infos/contributors .
!!
!! INPUTS
!!  meshsz= Dimension of radial mesh
!!  rad(meshsz)= Radial mesh
!!
!! SIDE EFFECTS
!!  ff(meshsz)= Input function - only ff(1) is modified by present function
!!
!! PARENTS
!!      calc_vhnzc,calc_vhtnzc,wrpawps
!!
!! CHILDREN
!!
!! SOURCE

 subroutine deducer0(ff,meshsz,rad)

 use defs_basis

 implicit none

!Arguments ------------------------------------
 integer :: meshsz
 real(dp) :: ff(meshsz),rad(meshsz)

!Local variables-------------------------------
 real(dp) :: yp1,yp2,yp3

! *************************************************************************

 yp2=(ff(3)-ff(2))/(rad(3)-rad(2))
 yp3=(ff(4)-ff(3))/(rad(4)-rad(3))
 yp1=yp2+(yp2-yp3)*(rad(2)-rad(1))/(rad(3)-rad(2))
 ff(1)=ff(2)-(yp1+yp2)*rad(2)

 end subroutine
!!***
